Skip to main content
PATCH

Authorizations

Authorization
string
header
required

Basic authentication where:

  • user-id is a partner account ID
  • user-password is an API key token associated with the partner account

Path Parameters

reservation_id
string
required

id of the reservation

Body

application/json
check_in_date
string

ISO 8601.

Example:

"2024-05-20"

check_out_date
string

ISO 8601.

Example:

"2024-05-25"

payment
object

Payment object

rate
object

Rate object. Include this when modifying reservation dates. This is the rate corresponding to the modified dates.

Response

OK

check_in_date
string

ISO 8601.

Example:

"2024-05-20T00:00:00Z"

check_out_date
string

ISO 8601.

Example:

"2024-05-25T00:00:00Z"

confirmation
object
custom_data
object

Custom data object. Returned only if included in CreateReservationRequest.

created_at
string

ISO 8601.

Example:

"2024-05-20T18:00:00Z"

guests
object
hotel
object
id
string

32-character alphanumeric Selfbook identifier.

Example:

"ZHPOGBXVQVFRVXXCHXRJATLEJWKNBERS"

payment
object
Example:
rate
object
status
enum<string>
Available options:
CANCELED,
CONFIRMED,
CREATED
Example:

"CONFIRMED"